Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.billboard.vrml
Class VRMLGridBuilder

    java.lang.Object
      de.grogra.billboard.Billboarder
          de.grogra.billboard.GridBillboarder
              de.grogra.billboard.vrml.VRMLGridBuilder

All Implemented Interfaces:
  VRMLBuilder

    public class VRMLGridBuilder

extends GridBillboarder
implements VRMLBuilder

Field Summary
`protected java.io.File` | `vrmlDest`
`protected java.lang.String` | `vrmlFileName`

Fields inherited from class de.grogra.billboard.GridBillboarder
`max, min, steps`

Fields inherited from class de.grogra.billboard.Billboarder
`angleOffset, appendfix, camera, countZero, currentSide, file, imageFolder, imgHeight, imgWidth, mt, MT_EXR, MT_JPG, MT_PJPG, MT_PNG, MT_X_EXR, pathAndFileName, prefix, RotationAngle, rotationPoint, sides, suffix, view3d`

Constructor Summary
`VRMLGridBuilder(java.io.File file, MimeType mt)`
`VRMLGridBuilder(java.io.File file, MimeType mt, java.lang.String subDirectionary)`

Method Summary
`protected void` | `finalAction()` This method is invoked after the last billboard was rendered.
`void` | `writeVRML(int width, int height)`

Methods inherited from class de.grogra.billboard.GridBillboarder
`beginAt, billboarding, griding, initialize, makeAllNames, makeNames, setLayer, setRunLater`

Methods inherited from class de.grogra.billboard.Billboarder
`angleOffset, beginAt, getBBName, getLeadingZeros, graph, initialize, insertName, justRenderView, location, nextSide, nextSide, setDestination, transformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vrmlDest

    protected java.io.File vrmlDest

### vrmlFileName

    protected java.lang.String vrmlFileName

Constructor Detail

### VRMLGridBuilder

    public VRMLGridBuilder(java.io.File file,
                           MimeType mt)

### VRMLGridBuilder

    public VRMLGridBuilder(java.io.File file,
                           MimeType mt,
                           java.lang.String subDirectionary)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### finalAction

    protected void finalAction()

  Description copied from class: `Billboarder`
  This method is invoked after the last billboard was rendered.

  Overrides:
    `finalAction` in class `Billboarder`

### writeVRML

    public void writeVRML(int width,
                          int height)

  Specified by:
    `writeVRML` in interface `VRMLBuilder`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD